import React, { PureComponent } from 'react';
import { ReactResizeDetectorDimensions, ResizeDetectorProps } from './types';
declare class ResizeDetector<ElementT extends HTMLElement = HTMLElement> extends PureComponent<ResizeDetectorProps<ElementT>, ReactResizeDetectorDimensions> {
    skipOnMount: boolean | undefined;
    targetRef: any;
    observableElement: any;
    resizeHandler: any;
    resizeObserver: any;
    /**
     * To access the current size in the ResizeObserver without having to recreate it each time size updates.
     */
    private readonly sizeRef;
    constructor(props: ResizeDetectorProps<ElementT>);
    componentDidMount(): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    cancelHandler: () => void;
    attachObserver: () => void;
    getElement: () => Element | Text | null;
    createResizeHandler: ResizeObserverCallback;
    getRenderType: () => string;
    render(): string | number | boolean | Iterable<React.ReactNode> | React.JSX.Element | null | undefined;
}
export default ResizeDetector;
